
Redmine - Defect #3532

A Problem when i upgrade Redmine 0.7.3 to 0.8.4 

2009-06-24 07:55 - hanjiang zheng

Status: Closed Start date: 2009-06-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

when i start command to update database "rake db:migrate RAILS_ENV="production" --trace"

it can not run

D:\temp_redmine\InstantRails\rails_apps\redmine8>rake db:migrate RAILS_ENV="prod

uction" --trace

(in D:/temp_redmine/InstantRails/rails_apps/redmine8)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

uninitialized constant ActiveSupport::Dependencies

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:266:in `load_missing_constant'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:453:in `const_missing'

D:/temp_redmine/InstantRails/rails_apps/redmine8/vendor/plugins/actionwebservice

/init.rb:4:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:79:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:75:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:39:in `load'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/../vendor/plugins/engine

s/lib/engines/plugin.rb:77:in `load'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:33:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:189:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:105:in `process'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:49:in `send'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:49:in `run'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/environment.rb:20

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:31:in `gem_original_require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:31:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:342:in `new_constants_in'
D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/m

isc.rake:3

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `call'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

597:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

607:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

583:in `invoke'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2051:in `invoke_task'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2023:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2001:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

1998:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/temp_redmine/InstantRails/ruby/bin/rake:19:in `load'

D:/temp_redmine/InstantRails/ruby/bin/rake:19

am I missing something ?

Thanks!

History

#1 - 2009-06-24 08:12 - hanjiang zheng

my GEM had alreadly update to 2.1.2

#2 - 2009-06-24 09:20 - hanjiang zheng

hanjiang zheng wrote:

i had use "gem install rails -v=2.1.2" command update rails

 and use "rails -v" command
D:\temp_redmine\InstantRails\rails_apps\redmine8>rails -v

Rails 2.1.2

#3 - 2009-06-24 09:25 - hanjiang zheng

i use "ruby script/about" command

D:\temp_redmine\InstantRails\rails_apps\redmine8>ruby script/about

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:266:in `load_missing_constant': uninitialized co

nstant ActiveSupport::Dependencies (NameError)

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupp

ort-2.0.2/lib/active_support/dependencies.rb:453:in `const_missing'

from D:/temp_redmine/InstantRails/rails_apps/redmine8/vendor/plugins/act

ionwebservice/init.rb:4:in `evaluate_init_rb'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.

2/lib/rails/plugin.rb:79:in `evaluate_init_rb'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupp

ort-2.0.2/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_warning

s'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.

2/lib/rails/plugin.rb:75:in `evaluate_init_rb'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.

2/lib/rails/plugin.rb:39:in `load'

from D:/temp_redmine/InstantRails/rails_apps/redmine8/config/../vendor/p

lugins/engines/lib/engines/plugin.rb:77:in `load'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.

2/lib/rails/plugin/loader.rb:33:in `load_plugins'

... 9 levels...

from D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.

2/lib/commands/about.rb:1

from D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/c

ustom_require.rb:31:in `gem_original_require'

from D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/c

ustom_require.rb:31:in `require'

from script/about:3

#4 - 2009-06-24 11:28 - hanjiang zheng

i had chenge rails to 2.1.1

but rake db:migrate RAILS_ENV="production"

command still have problem

D:\temp_redmine\InstantRails\rails_apps\redmine8>rake db:migrate RAILS_ENV="prod

uction" --trace

(in D:/temp_redmine/InstantRails/rails_apps/redmine8)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

uninitialized constant ActiveSupport::Dependencies

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:266:in `load_missing_constant'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:453:in `const_missing'

D:/temp_redmine/InstantRails/rails_apps/redmine8/vendor/plugins/actionwebservice

/init.rb:4:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:79:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:75:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:39:in `load'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/../vendor/plugins/engine

s/lib/engines/plugin.rb:77:in `load'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:33:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:189:in `load_plugins'
D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:105:in `process'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:49:in `send'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:49:in `run'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/environment.rb:20

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:27:in `gem_original_require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:27:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:342:in `new_constants_in'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/m

isc.rake:3

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `call'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

597:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

607:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

583:in `invoke'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2051:in `invoke_task'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2023:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2001:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

1998:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/temp_redmine/InstantRails/ruby/bin/rake:19:in `load'

D:/temp_redmine/InstantRails/ruby/bin/rake:19

#5 - 2009-06-25 07:35 - hanjiang zheng

i had use command "rake test:units --trace"

found this errors

D:\temp_redmine\InstantRails\rails_apps\redmine8>rake test:units --trace

(in D:/temp_redmine/InstantRails/rails_apps/redmine8)
Invoke test:units (first_time)

Invoke db:test:prepare (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

uninitialized constant ActiveSupport::Dependencies

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/dependencies.rb:266:in `load_missing_constant'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/dependencies.rb:453:in `const_missing'

D:/temp_redmine/InstantRails/rails_apps/redmine8/vendor/plugins/actionwebservic

/init.rb:4:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin.rb:79:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin.rb:75:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin.rb:39:in `load'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/../vendor/plugins/engin

s/lib/engines/plugin.rb:77:in `load'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin/loader.rb:33:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin/loader.rb:32:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/

lugin/loader.rb:32:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initia

izer.rb:189:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initia

izer.rb:105:in `process'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initia

izer.rb:49:in `send'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initia

izer.rb:49:in `run'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/environment.rb:20

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_requir

.rb:31:in `gem_original_require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_requir

.rb:31:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/dependencies.rb:342:in `new_constants_in'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/li

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/

isc.rake:3

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

636:in `call'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

636:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

631:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

631:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

597:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

607:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

607:in `invoke_prerequisites'
D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

583:in `invoke'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2051:in `invoke_task'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2029:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2023:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2001:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb

1998:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/temp_redmine/InstantRails/ruby/bin/rake:19:in `load'

D:/temp_redmine/InstantRails/ruby/bin/rake:19

#6 - 2009-06-25 07:37 - hanjiang zheng

and "rake test:functionals --trace"

D:\temp_redmine\InstantRails\rails_apps\redmine8>rake test:functionals --trace

(in D:/temp_redmine/InstantRails/rails_apps/redmine8)

Invoke test:functionals (first_time)

Invoke db:test:prepare (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

uninitialized constant ActiveSupport::Dependencies

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:266:in `load_missing_constant'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:453:in `const_missing'

D:/temp_redmine/InstantRails/rails_apps/redmine8/vendor/plugins/actionwebservice

/init.rb:4:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:79:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:75:in `evaluate_init_rb'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin.rb:39:in `load'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/../vendor/plugins/engine

s/lib/engines/plugin.rb:77:in `load'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:33:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/rails/p

lugin/loader.rb:32:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:189:in `load_plugins'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:105:in `process'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial

izer.rb:49:in `send'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initial
izer.rb:49:in `run'

D:/temp_redmine/InstantRails/rails_apps/redmine8/config/environment.rb:20

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:31:in `gem_original_require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require

.rb:31:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:342:in `new_constants_in'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib

/active_support/dependencies.rb:496:in `require'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/tasks/m

isc.rake:3

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `call'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

636:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

631:in `execute'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

597:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

607:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

607:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

604:in `invoke_prerequisites'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

596:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

590:in `invoke_with_call_chain'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

583:in `invoke'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2051:in `invoke_task'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2023:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2001:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

1998:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/temp_redmine/InstantRails/ruby/bin/rake:19:in `load'

D:/temp_redmine/InstantRails/ruby/bin/rake:19
and "test:integration!"

D:\temp_redmine\InstantRails\rails_apps\redmine8>rake test:integration! --trace

(in D:/temp_redmine/InstantRails/rails_apps/redmine8)

rake aborted!

Don't know how to build task 'test:integration!'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

1728:in `[]'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2050:in `invoke_task'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `each'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2029:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2023:in `top_level'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2001:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

2068:in `standard_exception_handling'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:

1998:in `run'

D:/temp_redmine/InstantRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31

D:/temp_redmine/InstantRails/ruby/bin/rake:19:in `load'

D:/temp_redmine/InstantRails/ruby/bin/rake:19

#8 - 2009-06-28 14:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Your stack trace shows that you're running Rails 2.0.2.

But 0.8.x releases requires Rails 2.1.2 as stated on the installation documentation.
